
function [den]=density475( MJulian, lat, lon,FluxData7, FluxData, MagData, magFix)
%Mjulian is Julian Date at the Greenwich meridian 
%lat is latitude [1:60]is[-90:90] 
%lon is longitude [1:120]is[-180:180]
%FluxData7 is 7-day mean FluxDatamagFix=0
%FluxData is Flux 10.7cm of previous day
%MagData is Am index
%Use magFix=0 for MagData (Am index), Use other value to fix value e.g. magFix=6
%Type e.g.  [den]=density475( 2452649.57083648,41.3,5.3,147.6514,155.4307,22.2107,0)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%       
fold=cd;
cd DENSITY
global E1and  E2and E3and E4and E5and
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%doy:
yyy=round((MJulian-juliandate(1950,1,1))/365)+1951;
dayofy(1)=1;
if round(MJulian)== round(juliandate(yyy,1,1));
    yyy=yyy+1;
end
    dayofy=MJulian-juliandate(yyy-1,1,1);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

MJulian=MJulian+lon*1/360;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%Periodic series using Doodson arguments:
[pT2,pR2,pKb,pP1,pS1,pK1,p93,p83,pFCN,p152]=DoodSeriesGRACE(MJulian);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Model:
ZdS=DoodPC1Both(dayofy,pS1,pP1,pFCN,FluxData,FluxData7,MagData,E1and,magFix);%day for Zdown
ZdS=ZdS+DoodPC2Both(dayofy,pT2,pP1,pK1,pKb,p93,pFCN,FluxData,FluxData7,pS1,E2and);
ZdS=ZdS+DoodPC3Both(dayofy,p93,pP1,pK1,FluxData,FluxData7,pS1,E3and);
ZdS=ZdS+DoodPC4Both(dayofy,pT2,pK1,pP1,pR2,p83,p152,FluxData,FluxData7,pS1,E4and);
ZdS=ZdS+DoodPC5Both(FluxData,pS1,E5and);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
Map475(:,:)=double(reshape(ZdS,60,120));%[1:60]is[-90:90] and [1:120]is[-180:180]

lat=lat+90;
latD=round(60*lat/180);
if latD==0,
    latD=60; 
end

lon=lon+180;
lonD=round(120*lon/360);
if lonD==0,
    lonD=120; 
end

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 den= Map475(latD,lonD);
 cd(fold)
